AnalyzeConsumer Class Reference
Inheritance diagram for AnalyzeConsumer:

## Public Member Functions

| AnalyzeConsumer ()
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const Term &term, const TermTranslator &translator)
virtual void | consume (const vector< mpz_class > &term)
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
size_t | getGeneratorCount () const
const VarNames & | getNames () const
const vector< mpz_class > & | getLcm () const
const mpz_class & | getMaximumExponent () const
virtual void | consume (const Term &term)
| Consume a term.
virtual void | consume (const BigIdeal &ideal)
virtual void | consume (unique_ptr< BigIdeal > ideal)
Public Member Functions inherited from BigTermConsumer
virtual | ~BigTermConsumer ()
void | beginConsuming (const VarNames &names)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Private Attributes

VarNames | _names
size_t | _generatorCount
vector< mpz_class > | _lcm

## Detailed Description

Definition at line 30 of file AnalyzeAction.cpp.

## Constructor & Destructor Documentation

## AnalyzeConsumer()

AnalyzeConsumer::AnalyzeConsumer | ( |  | ) |

inline

Definition at line 32 of file AnalyzeAction.cpp.

## Member Function Documentation

## beginConsuming()

virtual void AnalyzeConsumer::beginConsuming | ( |  | ) |

inline virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements BigTermConsumer.

Definition at line 42 of file AnalyzeAction.cpp.

## consume() [1/5]

void BigTermConsumer::consume | ( | const BigIdeal & | ideal | ) |

virtual

Reimplemented from BigTermConsumer.

Definition at line 40 of file BigTermConsumer.cpp.

## consume() [2/5]

void BigTermConsumer::consume | ( | const Term & | term | ) |

virtual

Consume a term.

Reimplemented from BigTermConsumer.

Definition at line 38 of file BigTermConsumer.cpp.

## consume() [3/5]

virtual void AnalyzeConsumer::consume | ( | const Term & | term,
|  | const TermTranslator & | translator )

inline virtual

Implements BigTermConsumer.

Definition at line 47 of file AnalyzeAction.cpp.

## consume() [4/5]

virtual void AnalyzeConsumer::consume | ( | const vector< mpz_class > & | term | ) |

inline virtual

Implements BigTermConsumer.

Definition at line 51 of file AnalyzeAction.cpp.

## consume() [5/5]

void BigTermConsumer::consume | ( | unique_ptr< BigIdeal > | ideal | ) |

virtual

Reimplemented from BigTermConsumer.

Definition at line 41 of file BigTermConsumer.cpp.

## consumeRing()

virtual void AnalyzeConsumer::consumeRing | ( | const VarNames & | names | ) |

inline virtual

Tell the consumer which ring is being used.

Implements BigTermConsumer.

Definition at line 36 of file AnalyzeAction.cpp.

## doneConsuming()

virtual void AnalyzeConsumer::doneConsuming | ( |  | ) |

inline virtual

Must be called once after each time beginConsuming has been called.

Implements BigTermConsumer.

Definition at line 60 of file AnalyzeAction.cpp.

## getGeneratorCount()

size_t AnalyzeConsumer::getGeneratorCount | ( |  | ) | const

inline

Definition at line 63 of file AnalyzeAction.cpp.

## getLcm()

const vector< mpz_class > & AnalyzeConsumer::getLcm | ( |  | ) | const

inline

Definition at line 71 of file AnalyzeAction.cpp.

## getMaximumExponent()

const mpz_class & AnalyzeConsumer::getMaximumExponent | ( |  | ) | const

inline

Definition at line 75 of file AnalyzeAction.cpp.

## getNames()

const VarNames & AnalyzeConsumer::getNames | ( |  | ) | const

inline

Definition at line 67 of file AnalyzeAction.cpp.

## Member Data Documentation

## _generatorCount

size_t AnalyzeConsumer::_generatorCount

private

Definition at line 82 of file AnalyzeAction.cpp.

## _lcm

vector<mpz_class> AnalyzeConsumer::_lcm

private

Definition at line 83 of file AnalyzeAction.cpp.

## _names

VarNames AnalyzeConsumer::_names

private

Definition at line 81 of file AnalyzeAction.cpp.

The documentation for this class was generated from the following file:

- src/AnalyzeAction.cpp